# The Python templates in /usr/share/anjuta/project can not be byte-compiled.
%global _python_bytecompile_extra 0

%define url_ver     %(echo %{version}|cut -d. -f1,2)

%define major       0
%define api         3
%define gi_major    3.0

%define libname     %mklibname %{name} %{api} %{major}
%define libnamedev  %mklibname %{name} %{api} -d
%define girname     %mklibname %{name}-gir %{gi_major}

Summary:        Integrated development environment for C and C++ (Linux)
Name:           anjuta
Version:        3.34.0
Release:        %mkrel 2
License:        GPLv2+
Group:          Development/Tools
URL:            http://anjuta.sourceforge.net/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		intltool.patch
BuildRequires:  pkgconfig(apr-1)
BuildRequires:  pkgconfig(apr-util-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gdl-3.0) >= 3.5.5
BuildRequires:  pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(gladeui-2.0) >= 3.12.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gthread-2.0) >= 2.22.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires:  pkgconfig(libdevhelp-3.0) >= 3.7.4
BuildRequires:  pkgconfig(libgda-5.0) >= 5.0.0
BuildRequires:  pkgconfig(libgvc) >= 1.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.4.23
BuildRequires:  pkgconfig(neon) >= 0.28.2
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  subversion-devel >= 1.5.0
BuildRequires:  pkgconfig(python3)
BuildRequires:  autogen
BuildRequires:  gnome-common
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  gtk-doc >= 1.0
BuildRequires:  itstool
BuildRequires:  yelp-tools
BuildRequires:  libxml2-utils
BuildRequires:  gobject-introspection-devel
BuildRequires:  imagemagick
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  vala-devel
BuildRequires:  desktop-file-utils

Requires:       autogen
Requires:       lib64autogen-devel
Requires:       python3-rope
Requires:       python3-gobject3

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for the GNOME Desktop Environment and features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, powerful source editor,
syntax highlighting, intellisense auto-completions, symbol navigation,
version controls, integrated GUI designing and other tools.

%package -n %{libname}
Summary:        Anjuta libraries
Group:          System/Libraries

%description -n %{libname}
Anjuta libraries.

%package -n %{libnamedev}
Summary:        Anjuta devel files
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{mklibname -d %{name}} = %{version}-%{release}
Obsoletes:      %{mklibname -d %{name}} < %{version}-%{release}

%description -n %{libnamedev}
Anjuta devel files.


%prep
%setup -q
%apply_patches

%build
autoreconf -vfi

export PYTHON=%{__python3}
%configure2_5x \
    --disable-static \
    --enable-introspection=yes
%make_build

%install
%make_install

desktop-file-install --vendor="" \
  --remove-key='Encoding' \
  --add-category="IDE" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome --all-name

#we don't want these
find %{buildroot} -name "*.la" -delete

#let files section handle docs
rm -fr %{buildroot}%{_docdir}/%{name}

%files -f %{name}.lang
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/mimetypes/*
%{_mandir}/man1/%{name}*.1*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/pixmaps/%{name}
%{_datadir}/icons/*/*/apps/*
%{_datadir}/help

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Anjuta-%{gi_major}.typelib
%{_libdir}/girepository-1.0/IAnjuta-%{gi_major}.typelib

%files -n %libnamedev
%doc %{_datadir}/gtk-doc/html/lib%{name}
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/lib%{name}-3.0
%{_libdir}/pkgconfig/lib%{name}-3.0.pc
%{_datadir}/gir-1.0/Anjuta-%{gi_major}.gir
%{_datadir}/gir-1.0/IAnjuta-%{gi_major}.gir


%changelog
* Fri Feb 18 2022 tex - 3.34.0-2pclos2022
- rebuild against updates

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
